Bug 156886 - gnome desktopmanager + openoffice removed when uninstalling cups
gnome desktopmanager + openoffice removed when uninstalling cups
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-04 17:45 EDT by marco
Modified: 2014-01-21 17:52 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-05 04:52:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marco 2005-05-04 17:45:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
while using yum to remove cups (yum remove cups) the Yum program removed all programs that use cups in some way or the other, a total of 101 other packages was removed, including openoffice and gnome.

Version-Release number of selected component (if applicable):
cups 1:1.1.23-15

How reproducible:
Always

Steps to Reproduce:
1.yum remove cups
2.answer yes on questions
3.
  

Actual Results:  the Gnome windowmanager has vanished, as has the openoffice package, among several other things

Expected Results:  the cups package removed, not all other programs that use it, but not truelly depend on it.

Additional info:
Comment 1 Tim Waugh 2005-05-05 04:52:44 EDT
"Don't do that then."

The dependencies are real.  The yum program obviously didn't make it clear to
you what it was going to do.
Comment 2 Seth Vidal 2005-05-05 08:18:01 EDT
Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Removing:
 cups                    i386       1:1.1.23-15      installed         3.9 M
Removing for dependencies:
 abiword                 i386       1:2.2.7-1        installed          14 M
 control-center          i386       1:2.10.0-4       installed         6.7 M
 control-center          i386       1:2.9.91-1       installed         6.8 M
 desktop-printing        i386       0.18-8           installed         270 k
 eel2                    i386       2.10.0-2         installed         1.2 M
 eel2-devel              i386       2.10.0-2         installed         225 k
 evince                  i386       0.2.1-1          installed         765 k
 evolution               i386       2.2.1.1-2        installed          22 M
 file-roller             i386       2.10.0-1         installed         3.2 M
 gdm                     i386       1:2.6.0.8-1      installed         7.9 M
 gedit                   i386       1:2.10.0-2       installed          12 M
 gedit-devel             i386       1:2.10.2-1       installed          88 k
 gimp                    i386       2:2.2.4-10       installed          25 M
 gimp-data-extras        noarch     2.0.1-1          installed         7.6 M
 gimp-gap                i386       2.0.2-4          installed         2.9 M
 gimp-help               noarch     2-0.1.0.7.1      installed          21 M
 gimp-print-plugin       i386       4.2.7-5          installed         190 k
 gnome-games             i386       1:2.9.6-1        installed          18 M
 gnome-media             i386       2.10.0-2         installed         5.1 M
 gnome-python2-libegg    i386       2.10.0-2.1       installed          93 k
 gnome-session           i386       2.10.0-1         installed         1.1 M
 gnome-utils             i386       1:2.10.0-1       installed          13 M
 gnome-volume-manager    i386       1.3.1-1          installed         737 k
 gpdf                    i386       2.9.3-1          installed         2.2 M
 gthumb                  i386       2.6.4-2          installed         5.0 M
 gtkhtml3                i386       3.6.1-1          installed         2.8 M
 gtksourceview           i386       1.2.0-1          installed         1.2 M
 gtksourceview-devel     i386       1.2.0-1          installed         393 k
 hal-cups-utils          i386       0.5.3-3          installed          80 k
 libgal2                 i386       2:2.4.1-1        installed         2.1 M
 libgnomecups            i386       0.2.0-1          installed         209 k
 libgnomeprint22         i386       2.10.1-2         installed         1.1 M
 libgnomeprint22-devel   i386       2.10.1-2         installed         1.1 M
 libgnomeprintui22       i386       2.10.1-1         installed         908 k
 libgnomeprintui22-deve  i386       2.10.1-1         installed         472 k
 librsvg2                i386       2.9.5-2          installed         370 k
 librsvg2-devel          i386       2.9.5-2          installed         324 k
 mail-notification       i386       1.1-1            installed         894 k
 nautilus                i386       2.10.0-3         installed          11 M
 nautilus-cd-burner      i386       2.10.0-2         installed         896 k
 planner                 i386       0.13-2           installed         4.1 M
 redhat-lsb              i386       1.3-10           installed          17 k
 rhythmbox               i386       0.8.8-2          installed         3.3 M
 seahorse                i386       0.7.7-1          installed         2.0 M
 system-config-printer   i386       0.6.128-1        installed         2.2 M
 system-config-printer-  i386       0.6.128-1        installed         439 k
 totem                   i386       1.0.1-1          installed         3.0 M
 xsane-gimp              i386       0.95-3           installed         561 k

Transaction Summary
=============================================================================
Install      0 Package(s)
Update       0 Package(s)
Remove      49 Package(s)
Total download size: 0
Is this ok [y/N]:


I think yum is making it EXTREMELY clear what it is going to do.
NOTABUG on yum, either.

Note You need to log in before you can comment on or make changes to this bug.